<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}

function onclick(event) {
 $("typeSubmit").value = "list";
    events("submit");
 }

</script>
<?php

if($control){//cuando se hizo el submit
	
	//Si este prestamo tiene una referencia debe de editar mora y no debe volver a pendiente el prestamo
	$permitir_pendiente = 1;
	$o_PrestamoBeanC = new PrestamoBean();
	$o_PrestamoBeanC->setIdPrestamoReferencia($idPrestamo);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBeanC);
	if(is_array($a_ObjectBean) && count($a_ObjectBean)>0){
		$permitir_pendiente = 0;
	}
	
	if($idPrestamo){
		$o_PrestamoBean = new PrestamoBean();
		$o_PrestamoBean->setIdPrestamo($id);
		$o_class = new PrestamoBL();
		$a_ObjectBeanTemp = $o_class->busquedaPrestamo($o_PrestamoBean);	
		
				
		if(is_array($a_ObjectBeanTemp)){
		  while(list($key,$o_ObjectBean) = each($a_ObjectBeanTemp)){
		  	$estado = $o_ObjectBean->getEstado();
		  	$montoTotal = round($o_ObjectBean->getMontoTotal(),2);
		  }
		}
	}
	
    $SumatoriaDiferencias = 0;
    foreach ($txtMontoPagoIni as $IdPago => $MontoPagoIni){
 		if($txtMontoPago[$IdPago] != "" && $MontoPagoIni != $txtMontoPago[$IdPago] && $txtMontoPago[$IdPago] >= 0){
 			$SumatoriaDiferencias += $MontoPagoIni - $txtMontoPago[$IdPago];
 			
 		}	   	 		
    }
    
    
    
    //Actualizar el saldo del Prestamo
	
	$saldoNuevo = $saldo + $SumatoriaDiferencias;
	if($saldoNuevo < 0){
		echo "No se puede modificar a montos que cambien al saldo a negativo.";
		exit;
	}
	
	
	
	
	$SumatoriaDiferencias = 0;
	reset($txtMontoPagoIni);
    foreach ($txtMontoPagoIni as $IdPago => $MontoPagoIni){
 		if($txtMontoPago[$IdPago] != "" && $MontoPagoIni != $txtMontoPago[$IdPago] && $txtMontoPago[$IdPago] >= 0){
 			$o_PagoBean = new PagoBean();
 			$o_PagoBean->setIdPago($IdPago);
 			if($txtMontoPago[$IdPago] == 0) $montoPagoNew = "0.00";
 			else $montoPagoNew = $txtMontoPago[$IdPago];
 			$o_PagoBean->setMontoPago($montoPagoNew);
 			$o_PagoBean->setFechaModificacion(date('Y-m-d H:i:s'));
 			$o_PagoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
 			$o_PagoBL = new PagoBL();
 			$o_PagoBL->modificarPago($o_PagoBean);
 			
 			$SumatoriaDiferencias += $MontoPagoIni - $txtMontoPago[$IdPago];
 			
 		}	   	
    }
    
    
    $o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($idPrestamo);
	$saldoNuevo = $saldo + $SumatoriaDiferencias;
	
	if($estado == "C"){
		$resultado = $montoTotal - ($totalPagos - $SumatoriaDiferencias)  ;
		if($resultado > 0 ){
			if($permitir_pendiente){
				$o_PrestamoBean->setEstado("P");
			}
			$saldoNuevo = abs($resultado);
		}else{
			$o_PrestamoBean->setEstado("C");
			$saldoNuevo = "0.00";
		}
	}else{
		if($saldoNuevo == 0){
			$o_PrestamoBean->setEstado("C");
			$o_PrestamoBean->setFechaCancelacion(date('Y-m-d H:i:s'));
			$saldoNuevo = "0.00";
		}
	}
	
    $o_PrestamoBean->setSaldoPrestamo($saldoNuevo);
    
    $o_PrestamoBL = new PrestamoBL();
    $o_PrestamoBL->modificarPrestamo($o_PrestamoBean);
    
//    foreach ($txtFechaPagoIni as $IdPago => $FechaPagoIni){
// 		if($txtFechaPago[$IdPago]!= "" && $FechaPagoIni != $txtFechaPago[$IdPago]){
// 			$o_PagoBean = new PagoBean();
// 			$o_PagoBean->setIdPago($IdPago);
// 			$o_PagoBean->setFechaPago($txtFechaPago[$IdPago]);
// 			$o_PagoBean->setFechaModificacion(date('Y-m-d H:i:s'));
// 			$o_PagoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
// 			$o_PagoBL = new PagoBL();
// 			$o_PagoBL->modificarPago($o_PagoBean);
// 		}		   	
//    }
    exit(" <script language=\"JavaScript\">
      parent.objMainTab.reqBody('".buildUrl('pre/list_gen')."','&block=001&update=1&<?=$o_PrestamoBean->getIdPrestamo()?>');
     </script>");
     
//    if($bResult){
//    ?>
//      
//       <script language="JavaScript">
//       
//	    parent.objMainTab.reqBody('<?=buildUrl('pre/'.$typeSubmit)?>','&block=001&insert=1&id=<?=$o_PrestamoBean->getIdPrestamo()?>');
//        parent.objMainTab.windowsCloseAll();
//      </script>
//    <?
//    }
}


 if($id){
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($id);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
	
	//Listado de Pagos
	$o_pagoBean = new PagoBean();
	$o_pagoBean->setIdPrestamo($id);
	
	$o_PagoBL = new PagoBL();
	$a_pagos = $o_PagoBL->busquedaPago($o_pagoBean);
	
	
}


//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------
if(myUser::getUser()->getIdPadre()=='1' || myUser::getUser()->getRoleId() == "sys.ope"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
//	if( myUser::getUser()->getRoleId() == "sys.ope"){
//		$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador());
//	}
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
		
	
	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key => $o_sucursal){
			$IdSucursal 	= $o_sucursal->getIdSucursal();
			$NombreSucursal = $o_sucursal->getDescripcion();
		}
	}else{
		$IdSucursal = '0';
		$NombreSucursal = false;
	}
 }


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($o_ObjectBean->getIdCliente());
	$o_class = new ClienteBL();
	$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
	
	while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
		$Nombre = $o_ObjectBeanCli->getNombreCompleto();		
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
		$o_class = new MercadoBL();
		$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
		
		$NombreMercado = $ObjectBean[0]->getDescripcion();
		
		$SucursalMercadoBean = new SucursalMercadoBean();
		$SucursalMercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
		
		$SucursalMercadoDP = new SucursalMercadoDP($SucursalMercadoBean);
		$a_MercadoSucursalDP = $SucursalMercadoDP->select();
		
		while(list($key2,$o_MercadoSucursalDP) = each($a_MercadoSucursalDP)){
			$IdSucursal = $o_MercadoSucursalDP->getIdSucursal();
		}
	}
	
	
	
	  	
?>

<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <!--<tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Pagos</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Editar Pagos</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>-->
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST" >
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Cliente</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label1"><?php echo $Nombre?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
                <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Prestamo</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="5">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Fecha Inicio</label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label1"><?=$o_ObjectBean->getFechaInicio()?></label></td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Fecha Vencimiento</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1"><?=$o_ObjectBean->getFechaVencimiento()?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1">S/.&nbsp;<?=number_format($o_ObjectBean->getMontoPrestado(),2)?></label></td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1">S/.&nbsp;<?=number_format($o_ObjectBean->getMontoTotal(),2)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Interes(%)</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1">&nbsp;<?=$o_ObjectBean->getInteresPorcentaje()?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Saldo</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1">S/.&nbsp;<?=number_format($o_ObjectBean->getSaldoPrestamo(),2)?></label></td>
								<input type="hidden" name="saldo" id="saldo" value="<?php echo $o_ObjectBean->getSaldoPrestamo()?>"/>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Listado de Pagos</I></legend>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  		   <tr>
							 <td ><img src="/images/common/spacer.gif" width="10"></td>
						  </tr>
						  <tr>
						  	<td align="center">
						  		 <table width="40%" border="0" cellspacing="2" cellpadding="2">
								  	 <?php
								  	 if(is_array($a_pagos)){?>
								  	<tr>
									  	<td nowrap="nowrap"><label class="label2 req" for="txtRev" >Nro.</label></td>
									  	<td nowrap="nowrap"><label class="label2 req" for="txtRev" >Fecha</label></td>
									  	
									  	<td nowrap="nowrap" align="right"><label class="label2 req" for="txtRev">Monto&nbsp;(S/.)</label></td>
										<td nowrap="nowrap" align="center"><label class="label2 req" for="txtRev">Tipo</label></td>
								  	 </tr>
								  	 <?php foreach ($a_pagos as $key => $o_Pago){
								  	 	$o_BalanceDia = new BalanceDiaBean();
								  	 	$o_BalanceDia->setIdSucursal($IdSucursal);
								  	 	$o_BalanceDia->setFechaBalance(substr($o_Pago->getFechaPago(),0,10));
								  	 	$o_BalanceDia->setFechaBalanceFinal(substr($o_Pago->getFechaPago(),0,10));
								  	 	
								  	 	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
								  	 	$a_o_balance = $o_BalanceDiaDP->select();
								  	 	?>
								  	 	<tr>
									  	<td class="chk" align="center"><label class="label1"><?=$key+1?></label></td>
									  	<td><input class="text" type="hidden" maxlength="10" value="<?=substr($o_Pago->getFechaPago(),0,10)?>" name="txtFechaPago[<?php echo $o_Pago->getIdPago()?>]" id="txtFechaPago[]" size="10" maxlength="5">
									  	<label class="label1"><?=substr($o_Pago->getFechaPago(),0,10)?></label>
									  	<input class="text" type="hidden" value="<?=substr($o_Pago->getFechaPago(),0,10)?>" name="txtFechaPagoIni[<?php echo $o_Pago->getIdPago()?>]" id="txtFechaPagoIni[]"></td>
									  	<td align="right">
									  	<?php 
									  	if(!is_array($a_o_balance)&& $o_Pago->getTiporeferencia()== "NORMAL"){?>
									  	<input class="text" type="hidden"  value="<?=$o_Pago->getMontoPago()?>" name="txtMontoPagoIni[<?php echo $o_Pago->getIdPago()?>]" id="txtMontoPagoIni[]" >
									  	<input class="text" type="text" maxlength="10" style="text-align:right" value="<?=$o_Pago->getMontoPago()?>" name="txtMontoPago[<?php echo $o_Pago->getIdPago()?>]" id="txtMontoPago[]" size="4" maxlength="5" align="right">
									  	<?php 
									  	$total +=$o_Pago->getMontoPago();
									  	}else{?>
									  	<label class = "label1"><?php echo number_format($o_Pago->getMontoPago(),2)?></label>
									  	<?php
									  		$total +=$o_Pago->getMontoPago();
									  	 }
									  	?>
									  	</td>
										<td align="right"><label class="label1 req" for="txtRev" ><?=$o_Pago->getTiporeferencia()?></label></td>
								  	 </tr>
								  	 
								  	 <?php }?>
								  	  <tr>
						    			<td colspan="2"  align="right"><label class="label1 req" for="txtRev" >Total Pago</label></td>
						    			<td align="right"><label class="label1">S/.&nbsp;<?=number_format($total,2)?></label></td>
						  			</tr>
								  	 <?}else{?>
								  	 	<tr>
								  	 	   <td><label class="label">No hay Pagos.</label></td>
								  	 	</tr>
								  	 <?}
								  	 ?>
								   
    	     					</table>
						  	</td>
						  </tr>
						
						  <tr>
							<td align="center">
							  <input type="hidden" name="typeSubmit" id="typeSubmit" onkeyup="">
							  <!--<input type="hidden" name="typeSubmit" id="typeSubmit">-->
							  <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado?>">
							  <input type="hidden" name="IdCliente" id="IdCliente" value="<?php echo $idCliente?>">
							  <input type="hidden" name="totalPagos" id="totalPagos" value="<?php echo $total?>">
							  <input class="button" type="submit" value="Grabar" onclick = "$('typeSubmit').value='list';">
							  <!--<input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>-->
							  <!--<input class="button" type="button" value="Grabar" onclick="$('typeSubmit').value='list'; events('submit');"/>-->
							  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.reqBody('<?=buildUrl('pre/list')?>','001')" />
							</td>
						  </tr>
						  <tr>
							<td height="10">&nbsp;</td>
						  </tr>
						</table>
    				</fieldset>				
    		    	</td>
               </tr>
    	     </table>
	    	     <input type='hidden' value="<?php echo $id?>" name="idPrestamo" id="idPrestamo"/>
         </form>
		<!--	<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>-->
    </td>
  </tr>
</table><?php
  }
}
?>

